diff --git a/WHENCE b/WHENCE
index e0e0dad..c9ba2dd 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5222,9 +5222,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 Wireless MACs
 
 File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
-Version: 20211014150838a
+Version: 20221109110918a
 File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
-Version: 20211014150922
+Version: 20221109111005
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin b/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
index d63e48da73f9d52fd2a14ce550d1fa5c91c486a7..2d7d64907deb5252a8fa0b78f5371c625684c2b8 100644
GIT binary patch