diff --git a/WHENCE b/WHENCE
index b712781bfe21..1210b0958aaf 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5499,7 +5499,7 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 bluetooth chipset
 
 File: mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
-Version: 20220908211234
+Version: 20221109111213
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin b/mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
index 5672026d9e4cef769d4f7aca6bd2733b0555837a..10dcc2c0fbc1f89a5dc289dd4f4286888f029e45 100644
GIT binary patch
-- 
2.25.1