diff --git a/WHENCE b/WHENCE
index f31fa30..6786787 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5539,9 +5539,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 Wireless MACs
 
 File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
-Version: 20220908203203a
+Version: 20221227123154a
 File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
-Version: 20220908203253
+Version: 20221227123243
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin b/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
index a95eb351d843b805440300ca66700e61a9807ac4..4e5535a9d77c23a9d78604687175480182822b76 100644
GIT binary patch