diff --git a/WHENCE b/WHENCE
index 6786787..3c25024 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5519,9 +5519,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 Wireless MACs
 
 File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
-Version: 20221109110918a
+Version: 20221227150910a
 File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
-Version: 20221109111005
+Version: 20221227150954
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin b/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
index 2d7d64907deb5252a8fa0b78f5371c625684c2b8..a58d468ad059a369f686aa10d81e34cc19b6725e 100644
GIT binary patch