diff --git a/WHENCE b/WHENCE
index 47d774e..ba20933 100644
--- a/WHENCE
+++ b/WHENCE
@@ -3882,7 +3882,7 @@ Version: 2014-10-28
 File: amd-ucode/microcode_amd_fam17h.bin
 Version: 2022-04-08
 File: amd-ucode/microcode_amd_fam19h.bin
-Version: 2022-09-30
+Version: 2023-01-31
 File: amd-ucode/README
 
 License: Redistributable. See LICENSE.amd-ucode for details
diff --git a/amd-ucode/README b/amd-ucode/README
index 024fd51..0adfde2 100644
--- a/amd-ucode/README
+++ b/amd-ucode/README
@@ -36,6 +36,6 @@ Microcode patches in microcode_amd_fam17h.bin:
   Family=0x17 Model=0x31 Stepping=0x00: Patch=0x08301055 Length=3200 bytes
 
 Microcode patches in microcode_amd_fam19h.bin:
-  Family=0x19 Model=0x01 Stepping=0x00: Patch=0x0a001075 Length=5568 bytes
-  Family=0x19 Model=0x01 Stepping=0x01: Patch=0x0a0011a8 Length=5568 bytes
-  Family=0x19 Model=0x01 Stepping=0x02: Patch=0x0a00122e Length=5568 bytes
+  Family=0x19 Model=0x01 Stepping=0x00: Patch=0x0a001078 Length=5568 bytes
+  Family=0x19 Model=0x01 Stepping=0x01: Patch=0x0a0011ce Length=5568 bytes
+  Family=0x19 Model=0x01 Stepping=0x02: Patch=0x0a001231 Length=5568 bytes
diff --git a/amd-ucode/microcode_amd_fam19h.bin b/amd-ucode/microcode_amd_fam19h.bin
index c3f9f6c74dd1cc8acae67e786bed5186e0a9fd5e..4bd623e14006b3a2eeb287e52708d3bea1c3a728 100644
GIT binary patch
diff --git a/amd-ucode/microcode_amd_fam19h.bin.asc b/amd-ucode/microcode_amd_fam19h.bin.asc
--- a/amd-ucode/microcode_amd_fam19h.bin.asc
+++ b/amd-ucode/microcode_amd_fam19h.bin.asc
@@ -1,11 +1,11 @@
 -----BEGIN PGP SIGNATURE-----
 
-iQEzBAABCgAdFiEE/HxsUF2vzBRxg1fK5L5TOfMornMFAmMzKVYACgkQ5L5TOfMo
-rnNlHwgAjo0pufrCnTQCj3c50k92Mph5FT4vW3oBVAPZD0c3AIfQ0A322N80stEo
-SC6nnMRamCMy80cP/KUjSWRav++Ng6YKfs64qHhwgcNux9a2dhj3GPeXWweXKxVd
-PEbuP4XrStG+sjjaeJKMwOE8Mmo3sgK7hZHopS4vS5e7mM6xyiK1XNAVLTFXE3s8
-Ea3Fr5c4Z+xPdl5h9Ya4HJPaJa0L1vSImls/vb19pEatdK1GFHhzF/KLJ00NksVW
-cVibL8LNGo31/jpnoHgv+DVG/OGmJqMgFj8daNtmCYivJP5AqykAIx6mDGAf6927
-tZ+WZIKGZSM8rC8rRrKA0t6M/PWftA==
-=HQE4
+iQEzBAABCgAdFiEE/HxsUF2vzBRxg1fK5L5TOfMornMFAmPS0gkACgkQ5L5TOfMo
+rnMWewf/SNlPcRuJ/RPEKThbPJyToBi98e7QLqlGkuIQ7sZBjZ/zZIycQDkQgjVV
+MpO8E2yxn0Pp/2T6IzGBLPWpMVgvCabIn2gRe3qvRbJ5dYnxU3I5hfCITGHG0z2K
+OgH3Z51aKZGX0fCRHKdrtVf9RMdcYcVHD9NU48q8x8gArdRg+IZSCPzqD3dNw7nT
+TS2WHNiMzyqXkkqqkroofljUSZcuMIqDDEsfIB9LDQjFCMYEththlC0m0wz1QIRv
+HJCJZ8p/E8xMPLEp0JvhA1zxBePlyKmKtHLxhslyvEePJif5fHECEx95Q2xYRS+F
+rMXPlWVgxXzeM1NUxEBDM8vI6gaXtQ==
+=+Rqf
 -----END PGP SIGNATURE-----