diff --git a/WHENCE b/WHENCE
index e957cc9..591442f 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5344,9 +5344,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 Wireless MACs
 
 File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
-Version: 20230117170855a
+Version: 20230302150916a
 File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
-Version: 20230117170942
+Version: 20230302150956
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin b/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
index 448cc2a47dd0438bca3e9f4471d9a12346d32aa8..150aadc19d3c220845d382e2b6e575c54e73f1c4 100644
GIT binary patch