diff --git a/WHENCE b/WHENCE
index cf805e28f5a7..01ec5beee3c3 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5372,7 +5372,7 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 bluetooth chipset
 
 File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
-Version: 20221227123429
+Version: 20230328143444
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin b/mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
index 285801e1cb54cec3060fe8b4d4731f777785d0ec..3bf4017add9e1eb070881cc147f17fa9ab4b7cdf 100644
GIT binary patch
-- 
2.25.1