diff --git a/WHENCE b/WHENCE
index cf805e2..e77c60e 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5361,9 +5361,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 Wireless MACs
 
 File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
-Version: 20221227123154a
+Version: 20230328143229a
 File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
-Version: 20221227123243
+Version: 20230328143313
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin b/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
index 4e5535a9d77c23a9d78604687175480182822b76..c07a908d0c4426410ad8eed28f320977eec47fcf 100644
GIT binary patch