diff --git a/WHENCE b/WHENCE
index d2788f7..e3ffe5b 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5362,9 +5362,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 Wireless MACs
 
 File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
-Version: 20230302150916a
+Version: 20230331110902a
 File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
-Version: 20230302150956
+Version: 20230331110939
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin b/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
index 150aadc19d3c220845d382e2b6e575c54e73f1c4..869e0288b52bfc0fe4fa53a4bf1508e550c1ced3 100644
GIT binary patch