diff --git a/WHENCE b/WHENCE
index 7cc9afd4a845..e1cb56f3acdb 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5373,7 +5373,7 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 bluetooth chipset
 
 File: mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
-Version: 20230302151355
+Version: 20230331111156
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin b/mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
index 66d8ed6f1153ecdd19b01e0a66735999d62693c0..73055cfaea75deb9c795dc00384ee90976558342 100644
GIT binary patch
-- 
2.25.1