diff --git a/WHENCE b/WHENCE
index 74a49686..912697e1 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5367,9 +5367,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 Wireless MACs
 
 File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
-Version: 20230328143229a
+Version: 20230509203612a
 File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
-Version: 20230328143313
+Version: 20230509203655
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin b/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
index c07a908d0c4426410ad8eed28f320977eec47fcf..40cb158d2b51a32a4bfa556042e025b2d3b0b00e 100644
GIT binary patch