diff --git a/WHENCE b/WHENCE
index 32d71481..a9195069 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5358,9 +5358,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 Wireless MACs
 
 File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
-Version: 20230331110902a
+Version: 20230526130917a
 File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
-Version: 20230331110939
+Version: 20230526130958
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin b/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
index 869e0288b52bfc0fe4fa53a4bf1508e550c1ced3..ba21620dcedd7e57695d5a66ba2c10cf388ff4e0 100644
GIT binary patch