diff --git a/WHENCE b/WHENCE
index e6309eba..86c89013 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5386,9 +5386,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 Wireless MACs
 
 File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
-Version: 20230530123154a
+Version: 20230627143702a
 File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
-Version: 20230530123236
+Version: 20230627143946
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin b/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
index a6ef327b493dbe15d3886e97a44088ec5aa83b06..445f6b9bb85e57248fd03eb1d39d873986099e06 100644
GIT binary patch