diff --git a/WHENCE b/WHENCE
index e6309eba..f8a7e532 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5397,7 +5397,7 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 bluetooth chipset
 
 File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
-Version: 20230530123531
+Version: 20230627144220
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin b/mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
index d0e550e7bf9b82296366c9d1198e9d30e87e6978..e3bb907879c6cdd99d4a5cd59d98157776952421 100644
GIT binary patch
-- 
2.18.0