diff --git a/WHENCE b/WHENCE
index e53002fb..67df1707 100644
--- a/WHENCE
+++ b/WHENCE
@@ -3912,7 +3912,7 @@ Raw: amd-ucode/microcode_amd_fam17h.bin
 Version: 2023-04-13
 File: amd-ucode/microcode_amd_fam19h.bin
 Raw: amd-ucode/microcode_amd_fam19h.bin
-Version: 2023-01-31
+Version: 2023-07-13
 File: amd-ucode/README
 
 License: Redistributable. See LICENSE.amd-ucode for details
diff --git a/amd-ucode/README b/amd-ucode/README
index 0d97f910..01da7ebd 100644
--- a/amd-ucode/README
+++ b/amd-ucode/README
@@ -36,6 +36,6 @@ Microcode patches in microcode_amd_fam17h.bin:
   Family=0x17 Model=0x31 Stepping=0x00: Patch=0x08301072 Length=3200 bytes
 
 Microcode patches in microcode_amd_fam19h.bin:
-  Family=0x19 Model=0x01 Stepping=0x00: Patch=0x0a001078 Length=5568 bytes
-  Family=0x19 Model=0x01 Stepping=0x01: Patch=0x0a0011ce Length=5568 bytes
-  Family=0x19 Model=0x01 Stepping=0x02: Patch=0x0a001231 Length=5568 bytes
+  Family=0x19 Model=0x01 Stepping=0x01: Patch=0x0a0011cf Length=5568 bytes
+  Family=0x19 Model=0x01 Stepping=0x02: Patch=0x0a001233 Length=5568 bytes
+  Family=0x19 Model=0x01 Stepping=0x00: Patch=0x0a001079 Length=5568 bytes
diff --git a/amd-ucode/microcode_amd_fam19h.bin b/amd-ucode/microcode_amd_fam19h.bin
index 4bd623e14006b3a2eeb287e52708d3bea1c3a728..ac1079fbee6ef651ca6a1ac0c25ff464cee7c75d 100644
GIT binary patch
diff --git a/amd-ucode/microcode_amd_fam19h.bin.asc b/amd-ucode/microcode_amd_fam19h.bin.asc
--- a/amd-ucode/microcode_amd_fam19h.bin.asc
+++ b/amd-ucode/microcode_amd_fam19h.bin.asc
@@ -1,11 +1,11 @@
 -----BEGIN PGP SIGNATURE-----
 
-iQEzBAABCgAdFiEE/HxsUF2vzBRxg1fK5L5TOfMornMFAmPS0gkACgkQ5L5TOfMo
-rnMWewf/SNlPcRuJ/RPEKThbPJyToBi98e7QLqlGkuIQ7sZBjZ/zZIycQDkQgjVV
-MpO8E2yxn0Pp/2T6IzGBLPWpMVgvCabIn2gRe3qvRbJ5dYnxU3I5hfCITGHG0z2K
-OgH3Z51aKZGX0fCRHKdrtVf9RMdcYcVHD9NU48q8x8gArdRg+IZSCPzqD3dNw7nT
-TS2WHNiMzyqXkkqqkroofljUSZcuMIqDDEsfIB9LDQjFCMYEththlC0m0wz1QIRv
-HJCJZ8p/E8xMPLEp0JvhA1zxBePlyKmKtHLxhslyvEePJif5fHECEx95Q2xYRS+F
-rMXPlWVgxXzeM1NUxEBDM8vI6gaXtQ==
-=+Rqf
+iQEzBAABCgAdFiEE/HxsUF2vzBRxg1fK5L5TOfMornMFAmSwLLwACgkQ5L5TOfMo
+rnONIwf9E22pFDlKfIBtIwSmvRzwlYKoLFH9xi60F7DqzfS1GRJB+WDwy7RyiJCM
+yOYnxt9JAZhn8Sy2l/FGDbdCBx9way9NUV8WM76XtPlGSjJdC+/alqzqQiBJY7TI
+kSfBsNGpqn/4ozTkeZalOJwanVPiEmQcRVaRGCJApfYS3MC6ceTcqL6aSGs8QTr0
+VA8JHfA7sn/9F/XK60gUfaU4XJMSkcxzihPGKvQ3aL4nI2ypFhs/lS1Riai6YCLw
+903QVGSrqm/G9lPzy1Lr8OAn74xGm9qlcFpw62X68v5ApHJ9PZovHilhAsAWxddB
+wTwJUYsYEl20E3ETV2+wSmUN/OV50w==
+=o76x
 -----END PGP SIGNATURE-----