diff --git a/WHENCE b/WHENCE
index 25b09889..dd2cee5b 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5548,9 +5548,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 Wireless MACs
 
 File: mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
-Version: 20230526130917a
+Version: 20231109190918a
 File: mediatek/WIFI_RAM_CODE_MT7961_1.bin
-Version: 20230526130958
+Version: 20231109190959
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin b/mediatek/WIFI_MT7961_patch_mcu_1_2_hdr.bin
index ba21620dcedd7e57695d5a66ba2c10cf388ff4e0..49bc9cb38e3601cdbb67eb8ea25833842c072926 100644
GIT binary patch