diff --git a/WHENCE b/WHENCE
index 571308be..eb6b21e9 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5526,7 +5526,7 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7921 - MediaTek MT7921 bluetooth chipset
 
 File: mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
-Version: 20230526131214
+Version: 20231109191416
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin b/mediatek/BT_RAM_CODE_MT7961_1_2_hdr.bin
index 4b637d5156f2893ebed13d55e58c1e30e9eb1195..c7a96755b122ef7aa601eb40fbd7abb9ca85a545 100644
GIT binary patch
-- 
2.18.0