diff --git a/WHENCE b/WHENCE
index 848ad58f..6a8a7c6b 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5568,9 +5568,9 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 Wireless MACs
 
 File: mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
-Version: 20230627143702a
+Version: 20231120183400a
 File: mediatek/WIFI_RAM_CODE_MT7922_1.bin
-Version: 20230627143946
+Version: 20231120183441
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin b/mediatek/WIFI_MT7922_patch_mcu_1_1_hdr.bin
index 445f6b9bb85e57248fd03eb1d39d873986099e06..4671f91371b538f06163969c27c7ba50529075c5 100644
GIT binary patch