diff --git a/WHENCE b/WHENCE
index 848ad58f..fd7f427c 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5579,7 +5579,7 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 Driver: mt7922 - MediaTek MT7922 bluetooth chipset
 
 File: mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
-Version: 20230627144220
+Version: 20231120183620
 
 Licence: Redistributable. See LICENCE.mediatek for details.
 
diff --git a/mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin b/mediatek/BT_RAM_CODE_MT7922_1_1_hdr.bin
index e3bb907879c6cdd99d4a5cd59d98157776952421..80d478b863f9e4ae0ebe9dfd9a36d3812b7b0c38 100644
GIT binary patch
-- 
2.18.0