diff --git a/WHENCE b/WHENCE
index 6da89699..af6bc3a5 100644
--- a/WHENCE
+++ b/WHENCE
@@ -5645,6 +5645,15 @@ Licence: Redistributable. See LICENCE.mediatek for details.
 
 --------------------------------------------------------------------------
 
+Driver: mt7925 - MediaTek MT7925 bluetooth chipset
+
+File: mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
+Version: 20231227094014
+
+Licence: Redistributable. See LICENCE.mediatek for details.
+
+--------------------------------------------------------------------------
+
 Driver: mt7988 - MediaTek MT7988 Internal 2.5G Ethernet Phy
 
 File: mediatek/mt7988/i2p5ge-phy-pmb.bin
@@ -7090,4 +7099,4 @@ Link: TIAS2781RCA4.bin -> ti/tas2781/TIAS2781RCA4.bin
 Licence: Allegedly GPLv2+, but no source visible. Marked:
 	 Copyright (C) 2023 Texas Instruments
 
-Found in hex form in kernel source.
\ No newline at end of file
+Found in hex form in kernel source.
diff --git a/mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin b/mediatek/mt7925/BT_RAM_CODE_MT7925_1_1_hdr.bin
new file mode 100755
index 0000000000000000000000000000000000000000..727234d9bdf5db4ff37f9832eed26a56c82a2d49
GIT binary patch
-- 
2.18.0